%global pkg_name %{name}

Name:       preupgrade-assistant-el5toel7-data
Version:    0.20170209
Release:    1%{?dist}
Summary:    Static data about differences between systems.

Group:      System Environment/Libraries
License:    GPLv3+
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
# URL: missing - we are upstream and source URL is not available

# requires due to install path
Requires: preupgrade-assistant-el5toel7

%description
The package provides a set of static data about differences
between RHEL 5 and RHEL 7 systems

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/doc/preupgrade-assistant-el5toel7-data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL5_7/common
mv RHEL5_7/LICENSE $RPM_BUILD_ROOT%{_datadir}/doc/preupgrade-assistant-el5toel7-data/
mv RHEL5_7/* $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL5_7/common

# just to be sure
rm -rf $RPM_BUILD_ROOT%{_datadir}/preupgrade/RHEL6_*

find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "*.ignore" -delete
find $RPM_BUILD_ROOT%{_datadir}/preupgrade/ -name "*.log" -delete


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/preupgrade-assistant-el5toel7-data
%doc %{_datadir}/doc/preupgrade-assistant-el5toel7-data/LICENSE
%dir %{_datadir}/preupgrade/RHEL5_7/common
%{_datadir}/preupgrade/RHEL5_7/common/*

%changelog
* Tue Jan 17 2017 Petr Stodulka <pstodulk@redhat.com> - 0.20170209-1
- Rebase to 0.20170209
- RHEL 5.11 to RHEL 7.3

* Thu Sep 01 2016 Petr Hracek <phracek@redhat.com> - 0.20160510-2
- Initial RHEL-5 commit
Resolves: #1369885

* Tue May 10 2016 Jakub Mazanek <jmazanek@redhat.com> - 0.20160510-1
- rebase to 0.20160510
- fixed content of files BothMissing and Providesonlymissing

* Fri Mar 11 2016 Petr Stodulka <pstodulk@redhat.com> - 0.20160406-1
- rebase to 0.20160406

* Fri Mar 11 2016 Petr Stodulka <pstodulk@redhat.com> - 0.20160311-1
- rebase to 0.20160311
- fixed *grouplist* files names - now contains suffix always relevant
  to system release - e.g. el5, el7, ...
- moved LICENSE file to own doc directory

* Thu Mar 10 2016 Jakub Mazanek <jmazanek@redhat.com> - 0.20160208-1
- initial git spec file
- creating build 0.20160208

